
From: viro@parcelfarce.linux.theplanet.co.uk

When we register disks, we mangle the disk names that contain slashes (e.g. 
cciss/c0d0) replacing them with '!' in corresponding sysfs names.  So
name_to_dev_t() should mangle the name in the same way before looking for it
in /sys/block.


 25-akpm/init/do_mounts.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN init/do_mounts.c~name_to_dev_t-fix init/do_mounts.c
--- 25/init/do_mounts.c~name_to_dev_t-fix	Tue Dec 23 13:45:23 2003
+++ 25-akpm/init/do_mounts.c	Tue Dec 23 13:45:23 2003
@@ -130,7 +130,7 @@ fail:
  *	Driverfs is used to check if something is a disk name - it has
  *	all known disks under bus/block/devices.  If the disk name
  *	contains slashes, name of driverfs node has them replaced with
- *	dots.  try_name() does the actual checks, assuming that driverfs
+ *	bangs.  try_name() does the actual checks, assuming that driverfs
  *	is mounted on rootfs /sys.
  */
 
@@ -171,7 +171,7 @@ dev_t __init name_to_dev_t(char *name)
 	strcpy(s, name);
 	for (p = s; *p; p++)
 		if (*p == '/')
-			*p = '.';
+			*p = '!';
 	res = try_name(s, 0);
 	if (res)
 		goto done;

_
